[name="message"] {
  border-radius: 50px;
  /* text-align: center; */
  padding: 15px 20px !important;
  margin: 0px 10px !important;
  background-color: #ffffff !important;
  /* box-shadow: -0px 0px 5px #dddddd; */
}

p {
  margin-bottom: 0;
}

.mobilely {
  display: none !important;
}

button#sendcmp,
button#send {
  background: linear-gradient(325deg, rgba(49, 84, 129, 1) 0%, #3b96b0 100%);
  color: #ffffff !important;
}

select i,
button i {
  font-size: 25px !important;
  margin-left: 0px !important;
}

select,
button {
  margin: 0px 2.5px;
  background-color: transparent;
  color: #303030 !important;
  border-radius: 50px;
  font-size: 20px;
  padding: 5px 10px !important;
}

select:active,
button:active {
  transition: 0.05s linear !important;
  transform: scale(1.2, 1.2);
}

select:disabled,
button:disabled {
  cursor: default;
  color: #303030 !important;
}

.chat__footer {
  display: flex;
  flex-shrink: 0;
  padding: 5px 15px !important;
  margin: 0px 10px 10px;
  border-radius: 50px;
}

.chat__footer textarea {
  background: transparent !important;
}

/* Room Chat Window */

.chat {
  display: flex;
}

.chat__sidebar {
  overflow: hidden;
  overflow-y: scroll;
  position: relative;
  width: 300px;
  height: 100vh;
  background: -moz-linear-gradient(125deg,
      rgba(39, 107, 130, 1) 0%,
      rgba(49, 84, 129, 1) 100%);
  /* ff3.6+ */
  background: -webkit-gradient(linear,
      left top,
      right bottom,
      color-stop(0%, rgba(49, 84, 129, 1)),
      color-stop(100%, rgba(39, 107, 130, 1)));
  /* safari4+,chrome */
  background: -webkit-linear-gradient(125deg,
      rgba(39, 107, 130, 1) 0%,
      rgba(49, 84, 129, 1) 100%);
  /* safari5.1+,chrome10+ */
  background: -o-linear-gradient(125deg,
      rgba(39, 107, 130, 1) 0%,
      rgba(49, 84, 129, 1) 100%);
  /* opera 11.10+ */
  background: -ms-linear-gradient(125deg,
      rgba(39, 107, 130, 1) 0%,
      rgba(49, 84, 129, 1) 100%);
  /* ie10+ */
  background: linear-gradient(325deg,
      rgba(39, 107, 130, 1) 0%,
      rgba(49, 84, 129, 1) 100%);
  /* w3c */
  background: #ffffff;
  border-right: 1px solid #f1f1f1;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 15%;
  /* background-image: url("/img/scrinam-text.png"); */
}

.chat__sidebar h3,
.chat__sidebar h3.title {
  margin: 10px 20px;
  text-align: left;
}

.chat__sidebar h3:not(.title) {
  margin: 5px 20px;
  text-align: left;
}

.chat__sidebar ul {
  list-style-type: none;
}

.chat__sidebar li {
  background: linear-gradient(325deg, rgba(49, 84, 129, 1) 0%, #3b96b0 100%);
  color: #ffffff !important;
  text-shadow: 0px 0px 2px #303030;
  border: 1px solid #f1f1f1;
  border-radius: 10px;
  padding: 10px;
  margin: 10px;
}

.chat__main {
  background-image: url("/img/favicon.png");
  background-size: 5%;
  background-repeat: repeat;
  background-blend-mode: screen;
  display: flex;
  flex-direction: column;
  height: 100vh;
  width: 100%;
  background-color: #fafafa;
}

.chat__footer form {
  flex-grow: 1;
  display: flex;
}

.chat__footer .other-apps {
  display: flex;
  align-items: center;
  justify-content: center;
}

.chat__footer .other-apps button {
  display: flex;
  flex-grow: 1;
}

.chat__footer .input {
  /* border: none; */
  padding: 10px;
  flex-grow: 1;
}

.message {
  padding: 10px;
}

.chat__messages {
  flex-grow: 1;
  overflow-y: auto;
  list-style-type: none;
  padding: 0px 5px;
}

.message__title {
  display: flex;
  margin-bottom: 5px;
}

.message__title h4 {
  font-weight: 600;
  margin-right: 10px;
  font-size: 1rem !important;
}

#time {
  color: #999;
  float: right;
  font-size: 0.8rem;
}

@media (max-width: 600px) {
  * {
    font-size: 1rem;
  }

  .mobilely {
    display: unset !important;
  }

  .desktopy {
    display: none !important;
  }

  .showMenu {
    left: 0px !important;
  }

  button#menu-button {
    position: absolute;
    top: 12.5px;
    right: 10px;
    display: block;
    color: rgba(49, 84, 129, 1) !important;
    background: #ffffff;
    border-radius: 10px;
  }

  button#menu-button * {
    font-size: 1.5rem !important;
  }

  button#out-button {
    position: absolute;
    top: 12.5px;
    right: 0px;
    display: block;
    float: right !important;
    color: rgba(49, 84, 129, 1) !important;
    background: #ffffff;
    border-radius: 10px;
  }

  button#out-button * {
    font-size: 1.5rem !important;
  }

  .chat__sidebar {
    position: absolute;
    top: 0px;
    left: -1000px;
    width: 300px;
    height: 100%;
    z-index: 2999;
    box-shadow: 30px 0px 50vh #adadad41;
  }

  .chat__main {
    background-size: 20% !important;
  }

  .chat__footer button {
    margin-right: 0px;
  }
}

.admin {
  margin: 2.5px 0px;
  text-align: center !important;
}

.admin .campaignPreview * {
  text-align: left !important;
}

.admin .admin {
  display: inline-block;
  padding: 5px 10px;
  background-color: #ffffff;
  /* box-shadow: 1px 1px 5px #dddddd; */
  border-radius: 50px;
  border: 1px solid #f1f1f1;
}

.admin .admin:has(.campaignPreview) {
  background-color: transparent;
  border: none;
}

.admin .message__title {
  display: inline-flex;
  margin: 0px;
}

.admin #name {
  margin: 0px !important;
}

.admin #time {
  display: none;
}

.admin .message__body {
  display: inline-block;
}

li.message {
  width: 100%;
  float: left;
}

.__me a {
  color: #ffffff !important;
}

.message div.__me {
  border-radius: 10px 10px 0px;
  background: linear-gradient(325deg, rgba(49, 84, 129, 1) 0%, #3b96b0 100%);
  float: right;
  color: #ffffff !important;
}

.message div.others {
  border-radius: 0px 10px 10px;
  background: #ffffff !important;
  border: 1px solid #f1f1f1;
  /* box-shadow: 1px 1px 1px #dddddd; */
  float: left;
}

.message div.__me .message__title,
.message div.__me .message__title #name {
  display: none;
  margin: none;
}

.message div.others .message__body {
  color: #303030;
}

.message div.others,
.message div.__me {
  padding: 10px 20px;
  max-width: 300px !important;
  /* box-shadow: 1px 1px 3px lightgrey; */
}

.message div.__me .message__body p,
.message div.others .message__body p {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-word;
  word-wrap: break-word;
  margin-right: 10px;
}

.message div.__me .message__body p #time,
.message div.others .message__body p #time {
  margin-left: 10px;
}

#users li.__me {
  font-weight: 600;
}

/* End of Room Chat Window */

.campaignPreview {
  max-width: 55vw;
}

.bg-highlight {
  background-color: #3b96b0 !important;
}

.bg-highlight-light {
  background-color: #3b97b033 !important;
}

.marquee-container {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  box-sizing: border-box;
}

.marquee-content {
  display: inline-block;
}

.marquee-content.animate {
  animation: marquee 15s linear infinite;
}

@keyframes marquee {
  0% {
    transform: translateX(0);
    /* Start position */
  }

  100% {
    transform: translateX(-100%);
    /* End position (move left by 100% of the content's width) */
  }
}